package com.gic.haoban.manage.api.service;

import java.util.Date;
import java.util.List;

import com.gic.api.base.commons.JSONResponse;
import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.dto.MemberStoreDTO;
import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;

public interface MemberUnionidRelatedApiService {

	MemberUnionidRelatedDTO getByUnionId(String staffId, String memberId);
	
	String addMemberUnionidRelated(MemberUnionidRelatedDTO dto);
	
	void delMemberUnionidRelated(MemberUnionidRelatedDTO dto);

	MemberUnionidRelatedDTO getByMemberId(String staffId, String memberId);

	List<MemberUnionidRelatedDTO> getByWxUserIdAndWxEnterpriseId(String wxUserId, String wxEnterpriseId);
	
	List<MemberUnionidRelatedDTO> listByEnterpriseIdAndDate(String enterpriseId,Date date);

	List<MemberStoreDTO> listByExTernalUseridAndWxUserId(String externalUserid, String wxUserId);

	String add(String wxEnterpriseId, String selfExternalUserId, String userId1,String storeId);

	void freshWxFrend(String wxEnterpriseId, String wxUserId,String storeId);

	public void  cleanByCid(String cid);

	Page<MemberUnionidRelatedDTO> pageMemberUnionByParams(List<String> userIdList, List<String> sendMemberIds,
			String enterpriseId, BasePageInfo pageInfo);

	String sendMessage(String wxEnterpriseId, String userId, List<String> extendUserList, String materialId);

	JSONResponse getMessageStatus(String wxEnterpriseId, String wxMessageId);

	List<MemberUnionidRelatedDTO> getByWxUserIdListAndWxEnterpriseId(List<String> userIdList, String wxEnterpriseId);

	String addMemberUnionidRelatedNew(MemberUnionidRelatedDTO dto);

	void mqFreshWxFrend(String res);

}
